curl https://dev.methodfi.com/simulate/entities/{entity_id}/credit_scores/{crs_id} \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"scores": [
{
"score": 800,
"source": "equifax",
"model": "vantage_4",
"factors": [
{
"code": "00034",
"description": "Total of all balances on bankcard or revolving accounts is too high"
},
{
"code": "00012",
"description": "The date that you opened your oldest account is too recent"
},
{
"code": "00063",
"description": "Lack of sufficient relevant real estate account information"
}
],
"created_at": "2024-04-12T00:12:32.768Z"
}
]
}'
const creditScore = await method
.simulate
.entities(entityId)
.creditScores(crsId)
.create({
scores: [
{
score: 800,
source: "equifax",
model: "vantage_4",
factors: [
{
code: "00034",
description: "Total of all balances on bankcard or revolving accounts is too high"
},
{
code: "00012",
description: "The date that you opened your oldest account is too recent"
},
{
code: "00063",
description: "Lack of sufficient relevant real estate account information"
}
],
created_at: "2024-04-12T00:12:32.768Z"
}
]
});
credit_score = method.simulate.entities(entity_id).credit_scores(crs_id).create({
"scores": [
{
"score": 800,
"source": "equifax",
"model": "vantage_4",
"factors": [
{
"code": "00034",
"description": "Total of all balances on bankcard or revolving accounts is too high"
},
{
"code": "00012",
"description": "The date that you opened your oldest account is too recent"
},
{
"code": "00063",
"description": "Lack of sufficient relevant real estate account information"
}
],
"created_at": "2024-04-12T00:12:32.768Z"
}
]
})
{
"id": "crs_pn4ca33GXFaCE",
"entity_id": "ent_au22b1fbFJbp8",
"status": "completed",
"scores": [
{
"score": 800,
"source": "equifax",
"model": "vantage_4",
"factors": [
{
"code": "00034",
"description": "Total of all balances on bankcard or revolving accounts is too high"
},
{
"code": "00012",
"description": "The date that you opened your oldest account is too recent"
},
{
"code": "00063",
"description": "Lack of sufficient relevant real estate account information"
}
],
"created_at": "2024-04-12T00:12:32.768Z"
}
],
"error": null,
"created_at": "2024-04-12T00:12:30.228Z",
"updated_at": "2024-04-12T00:12:41.303Z"
}
Simulations (Dev)
Create a Custom Credit Score
POST
/
simulate
/
entities
/
{entity_id}
/
credit_scores
/
{crs_id}
curl https://dev.methodfi.com/simulate/entities/{entity_id}/credit_scores/{crs_id} \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"scores": [
{
"score": 800,
"source": "equifax",
"model": "vantage_4",
"factors": [
{
"code": "00034",
"description": "Total of all balances on bankcard or revolving accounts is too high"
},
{
"code": "00012",
"description": "The date that you opened your oldest account is too recent"
},
{
"code": "00063",
"description": "Lack of sufficient relevant real estate account information"
}
],
"created_at": "2024-04-12T00:12:32.768Z"
}
]
}'
const creditScore = await method
.simulate
.entities(entityId)
.creditScores(crsId)
.create({
scores: [
{
score: 800,
source: "equifax",
model: "vantage_4",
factors: [
{
code: "00034",
description: "Total of all balances on bankcard or revolving accounts is too high"
},
{
code: "00012",
description: "The date that you opened your oldest account is too recent"
},
{
code: "00063",
description: "Lack of sufficient relevant real estate account information"
}
],
created_at: "2024-04-12T00:12:32.768Z"
}
]
});
credit_score = method.simulate.entities(entity_id).credit_scores(crs_id).create({
"scores": [
{
"score": 800,
"source": "equifax",
"model": "vantage_4",
"factors": [
{
"code": "00034",
"description": "Total of all balances on bankcard or revolving accounts is too high"
},
{
"code": "00012",
"description": "The date that you opened your oldest account is too recent"
},
{
"code": "00063",
"description": "Lack of sufficient relevant real estate account information"
}
],
"created_at": "2024-04-12T00:12:32.768Z"
}
]
})
{
"id": "crs_pn4ca33GXFaCE",
"entity_id": "ent_au22b1fbFJbp8",
"status": "completed",
"scores": [
{
"score": 800,
"source": "equifax",
"model": "vantage_4",
"factors": [
{
"code": "00034",
"description": "Total of all balances on bankcard or revolving accounts is too high"
},
{
"code": "00012",
"description": "The date that you opened your oldest account is too recent"
},
{
"code": "00063",
"description": "Lack of sufficient relevant real estate account information"
}
],
"created_at": "2024-04-12T00:12:32.768Z"
}
],
"error": null,
"created_at": "2024-04-12T00:12:30.228Z",
"updated_at": "2024-04-12T00:12:41.303Z"
}
Credit Score simulations allow you to update pending Credit Scores with custom responses for entities in the development environment.
If no action is taken within 20 seconds of creating a credit score, it will automatically update with default data.
Path Parameters
Body
Returns
Returns the updated Credit Score object.curl https://dev.methodfi.com/simulate/entities/{entity_id}/credit_scores/{crs_id} \
-X POST \
-H "Method-Version: 2025-07-04" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"scores": [
{
"score": 800,
"source": "equifax",
"model": "vantage_4",
"factors": [
{
"code": "00034",
"description": "Total of all balances on bankcard or revolving accounts is too high"
},
{
"code": "00012",
"description": "The date that you opened your oldest account is too recent"
},
{
"code": "00063",
"description": "Lack of sufficient relevant real estate account information"
}
],
"created_at": "2024-04-12T00:12:32.768Z"
}
]
}'
const creditScore = await method
.simulate
.entities(entityId)
.creditScores(crsId)
.create({
scores: [
{
score: 800,
source: "equifax",
model: "vantage_4",
factors: [
{
code: "00034",
description: "Total of all balances on bankcard or revolving accounts is too high"
},
{
code: "00012",
description: "The date that you opened your oldest account is too recent"
},
{
code: "00063",
description: "Lack of sufficient relevant real estate account information"
}
],
created_at: "2024-04-12T00:12:32.768Z"
}
]
});
credit_score = method.simulate.entities(entity_id).credit_scores(crs_id).create({
"scores": [
{
"score": 800,
"source": "equifax",
"model": "vantage_4",
"factors": [
{
"code": "00034",
"description": "Total of all balances on bankcard or revolving accounts is too high"
},
{
"code": "00012",
"description": "The date that you opened your oldest account is too recent"
},
{
"code": "00063",
"description": "Lack of sufficient relevant real estate account information"
}
],
"created_at": "2024-04-12T00:12:32.768Z"
}
]
})
{
"id": "crs_pn4ca33GXFaCE",
"entity_id": "ent_au22b1fbFJbp8",
"status": "completed",
"scores": [
{
"score": 800,
"source": "equifax",
"model": "vantage_4",
"factors": [
{
"code": "00034",
"description": "Total of all balances on bankcard or revolving accounts is too high"
},
{
"code": "00012",
"description": "The date that you opened your oldest account is too recent"
},
{
"code": "00063",
"description": "Lack of sufficient relevant real estate account information"
}
],
"created_at": "2024-04-12T00:12:32.768Z"
}
],
"error": null,
"created_at": "2024-04-12T00:12:30.228Z",
"updated_at": "2024-04-12T00:12:41.303Z"
}
⌘I